Subject: bug#23013: 25.0.92; assertion failure on marker outside text range in echo area

From: Ken Raeburn <[email-masked]>
Date: Tue, 15 Mar 2016 17:16:33 -0400

On Tue, Mar 15, 2016 at 4:13 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 15 Mar 2016 15:46:37 -0400
> > From: Ken Raeburn <[email-masked]>
> > Cc: [email-masked]
> >
> > And the buffer still has a name; killing the buffer sets the name to
> > nil.
>
> Emacs will promptly recreate the echo-area buffers if they are killed.
>

As I understand it, that'd be a new buffer, and the one pointed to by the
marker would still be dead (name=nil), wouldn't it?

And as I said, the first time I wasn't killing a buffer. After extracting
the recent keys from the earlier core file (we don't have a gdb macro for
this??), I've confirmed I was switching to an existing shell command output
buffer.